<div style="max-width:400px;" class="mx-auto">

  <h2 class="page-header">Login</h2>
  <div class="alert alert-danger" role="alert" *ngIf="errorMessage">
    {{errorMessage}}
  </div>
  <form (submit)="onLoginSubmit()" [formGroup]="userForm" novalidate>

    <div class="form-group ">
      <label>Username</label>
      <input placeholder="Your username" formControlName="username" [class.is-invalid]="!userForm.controls.username.valid && (submitAttempt)"
        type="text" id="formUsername" name="username" class="form-control ">
      <div class="invalid-feedback" *ngIf="!userForm.controls.username.valid && (submitAttempt)">
        Enter a valid username
      </div>
    </div>
    <!-- <div class="form-group ">
      <label>Email</label>
      <input placeholder="Your email" formControlName="email" [class.is-invalid]="!userForm.controls.email.valid && (submitAttempt)"
        type="email" id="formEmail" name="email" class="form-control ">
      <div class="invalid-feedback" *ngIf="!userForm.controls.email.valid && (submitAttempt)">
        Enter a valid email
      </div>
    </div> -->
    <div class="form-group ">
      <label>Password</label>
      <input formControlName="password" placeholder="Your password" [class.is-invalid]="!userForm.controls.password.valid && (submitAttempt)"
        type="password" id="formPassword" name="password" class="form-control ">
      <div class="invalid-feedback" *ngIf="!userForm.controls.password.valid && (submitAttempt)">
        Enter a valid password
      </div>
    </div>
    <button type="submit" class="btn btn-primary " value="submit">
      Submit
    </button>
  </form>
</div>
